Name:		wpkg-packages
Version:	0.0.29
Release:	1%{?dist}
Summary:	Meta package for WPKG on iPasserelle

Group:		System/Softwares
URL:		http://www.ipasserelle.com
Source0:	%{name}-%{version}.tar.gz
License:	misc

BuildRoot:	/var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
BuildRequires:  unix2dos
BuildRequires:	e-smith-devtools

Requires: ipasserelle-gp
Requires: wpkg-7zip
Requires: wpkg-adminpack
Requires: wpkg-adobe_reader
Requires: wpkg-adobe_reader_fonts
Requires: wpkg-cacert
Requires: wpkg-ccleaner
Requires: wpkg-cleaner
Requires: wpkg-firefox
Requires: wpkg-firefox-config
Requires: wpkg-flash
Requires: wpkg-fusioninventory
Requires: wpkg-ghostscript
Requires: wpkg-gimp
Requires: wpkg-inkscape
Requires: wpkg-itunes
Requires: wpkg-jre6
Requires: wpkg-jre7
Requires: wpkg-jre8
Requires: wpkg-jre9
Requires: wpkg-jre10
Requires: wpkg-jdk11
Requires: wpkg-jce
Requires: wpkg-libreoffice
Requires: wpkg-logs
Requires: wpkg-notepad++
Requires: wpkg-ntp
Requires: wpkg-pdfcreator
Requires: wpkg-productkey
Requires: wpkg-putty
Requires: wpkg-sambawin7
Requires: wpkg-scribus
Requires: wpkg-skype
Requires: wpkg-sumatrapdf
Requires: wpkg-thunderbird
Requires: wpkg-thunderbird-config
Requires: wpkg-tightvnc
Requires: wpkg-vlc
Requires: wpkg-winscp
Requires: wpkg-ultradefrag
Requires: wpkg-zabbix_agent
Requires: wpkg-sketchup
Requires: wpkg-settings
Requires: wpkg-axcrypt
Requires: wpkg-sogo-addons
Requires: wpkg-lightning
Requires: wpkg-openattachmentbyextension
Requires: wpkg-freemind
Requires: wpkg-kompozer
Requires: wpkg-userprofile
Requires: wpkg-backuppc_agent
Requires: wpkg-filelink-dl
Requires: wpkg-gajim
Requires: wpkg-clicktodial
Requires: wpkg-xmind
Requires: wpkg-google-chrome
Requires: wpkg-vc_redist

%description
Meta package to install WPKG supported softwares on iPasserelle

%prep
%setup -q -n %{name}-%{version}

%build
perl createlinks
unix2dos packages/*

%install
/bin/rm -rf %{buildroot}
cp -a root %{buildroot}/
mkdir -p %{buildroot}/home/e-smith/files/shares/wpkg/files/packages
mkdir -p %{buildroot}/home/e-smith/files/shares/wpkg/files/softwares/wpkg
mkdir -p %{buildroot}/home/e-smith/files/shares/wpkg/files/settings/wpkg
cp -r softwares/* %{buildroot}/home/e-smith/files/shares/wpkg/files/softwares/wpkg/
cp -r packages/* %{buildroot}/home/e-smith/files/shares/wpkg/files/packages/

%clean
/bin/rm -rf %{buildroot}

%files
%defattr(-,root,root)
/home/e-smith/files/shares/wpkg/files/
/etc

%changelog
* Thu Sep 27 2018 Daniel Berteaud <daniel@firewall-services.com> 0.0.29-1
- Requires wpkg-jdk11 (daniel@firewall-services.com)

* Tue May 15 2018 Daniel Berteaud <daniel@firewall-services.com> 0.0.28-1
- Requires wpkg-jre10

* Thu Jan 11 2018 Daniel Berteaud <daniel@firewall-services.com> 0.0.27-1
- Really remove CHANGELOG.git

* Thu Jan 11 2018 Daniel Berteaud <daniel@firewall-services.com> 0.0.26-1
- Don't include CHANGELOG.git anymore

* Thu Jan 11 2018 Daniel Berteaud <daniel@firewall-services.com> 0.0.25-1
- new package built with tito
- requires wpkg-jre8 and wpkg-jre9
- don't require wpkg-jre anymore (but don't obsolete it yet)

* Mon May 22 2017 Daniel Berteaud <daniel@firewall-services.com> 0.0.24-1
- Requires wpkg-vc_redist

* Tue Dec 6 2016 Daniel Berteaud <daniel@firewall-services.com> 0.0.23-1
- Requires google-chrome

* Tue Mar 24 2015 Daniel Berteaud <daniel@firewall-services.com> 0.0.22-1
- Requires wpkg-xmind

* Wed Jan 28 2015 Daniel Berteaud <daniel@firewall-services.com> 0.0.21-1
- Requires wpkg-jre7

* Fri Jan 10 2014 Daniel Berteaud <daniel@firewall-services.com> 0.0.20-1
- Requires wpkg-gajim and wpkg-clicktodial

* Fri Jan 10 2014 Daniel Berteaud <daniel@firewall-services.com> 0.0.19-1
- Requires wpkg-filelink-dl

* Mon Jun 17 2013 Daniel Berteaud <daniel@firewall-services.com> 0.0.18-1
- Requires wpkg-backuppc_agent

* Wed Feb 20 2013 Daniel Berteaud <daniel@firewall-services.com> 0.0.17-1
- Requires wpkg-userprofile

* Fri Oct 12 2012 Daniel Berteaud <daniel@firewall-services.com> 0.0.16-1
- Requires wpkg-kompozer

* Mon Oct 8 2012 Daniel Berteaud <daniel@firewall-services.com> 0.0.15-1
- Requires wpkg-freemind

* Fri Sep 7 2012 Daniel Berteaud <daniel@firewall-services.com> 0.0.14-1
- Requires sogo-addons, lightning and openattachmentbyextension

* Thu Sep 6 2012 Daniel Berteaud <daniel@firewall-services.com> 0.0.13-1
- Requires wpkg-adobe_reader_fonts, wpkg-axcrypt and wpkg-jre6

* Thu Aug 23 2012 Daniel Berteaud <daniel@firewall-services.com> 0.0.12-1
- Requires wpkg-settings

* Fri Jul 20 2012 Daniel Berteaud <daniel@firewall-services.com> 0.0.11-1
- Requires wpkg-firefox-config

* Mon Jul 16 2012 Daniel Berteaud <daniel@firewall-services.com> 0.0.10-1
- Requires wpkg-sketchup

* Mon Jul 9 2012 Daniel Berteaud <daniel@firewall-services.com> 0.0.9-1
- Requires wpkg-zabbix_agent

* Fri Jul 6 2012 Daniel Berteaud <daniel@firewall-services.com> 0.0.8-1
- Requires wpkg-jce

* Wed Jul 4 2012 Daniel Berteaud <daniel@firewall-services.com> 0.0.7-1
- Requires wpkg-ultradefrag

* Sat Jun 9 2012 Daniel Berteaud <daniel@firewall-services.com> 0.0.6-1
- Requires wpkg-thunderbird-config

* Sat Jun 9 2012 Daniel Berteaud <daniel@firewall-services.com> 0.0.5-1
- Set 30min timeout

* Wed Jun 6 2012 Daniel Berteaud <daniel@firewall-services.com> 0.0.4-1
- Add missing gp.reg file

* Wed Jun 6 2012 Daniel Berteaud <daniel@firewall-services.com> 0.0.3-1
- Create needed directories

* Tue Jun 5 2012 Daniel Berteaud <daniel@firewall-services.com> 0.0.2-1
- Move scripts from ipasserelle-gp in wpkg-packages

* Tue Jun 5 2012 Daniel Berteaud <daniel@firewall-services.com> 0.0.1-1
- initial release

